Bug 90608 - [CSSRegions] Implement NamedFlow::firstEmptyRegionIndex attribute
Summary: [CSSRegions] Implement NamedFlow::firstEmptyRegionIndex attribute
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 87640
  Show dependency treegraph
 
Reported: 2012-07-05 06:54 PDT by Andrei Onea
Modified: 2012-07-09 01:09 PDT (History)
3 users (show)

See Also:


Attachments
Patch (7.89 KB, patch)
2012-07-05 08:07 PDT, Andrei Onea
no flags Details | Formatted Diff | Diff
Patch for landing (8.35 KB, patch)
2012-07-06 05:51 PDT, Andrei Onea
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Andrei Onea 2012-07-05 08:07:22 PDT
Created attachment 150940 [details]
Patch
Comment 2 Andreas Kling 2012-07-06 05:20:54 PDT
Comment on attachment 150940 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=150940&action=review

r=me with tiny tweaks:

> LayoutTests/fast/regions/webkit-named-flow-first-empty-region-index.html:18
> +    description("Test for 90608: [CSSRegions]Implement NamedFlow::firsEmptyRegionIndex attribute.");

Typo, firsEmptyRegionIndex.

> Source/WebCore/dom/WebKitNamedFlow.cpp:66
> +    int index;

This variable should be scoped to the for loop below.
Comment 3 Andrei Onea 2012-07-06 05:51:22 PDT
Created attachment 151068 [details]
Patch for landing
Comment 4 WebKit Review Bot 2012-07-09 01:08:56 PDT
Comment on attachment 151068 [details]
Patch for landing

Clearing flags on attachment: 151068

Committed r122096: <http://trac.webkit.org/changeset/122096>
Comment 5 WebKit Review Bot 2012-07-09 01:09:01 PDT
All reviewed patches have been landed.  Closing bug.